function OnWarpEnter() 
	SetMarker("cs\\Warp_0063.wp" , 0 , 0) 

	if ETAT_DAY == "D4" then 
		AnimationSetToStart("fvc1", false)
		LookAt(350, 008)
		
		if not FIRST_ENTER_QUEEN_D4 then
			StartAnimationPart("fsc1",45,90,-1,false)
			FIRST_ENTER_QUEEN_D4 = true
--			TALK_TO_QUEEN_D4 = true
			if DRESS_CESAR then
				DrawText("Ca2592","Ca2592.ogg",5) -- Alors, je t'écoute, où en es-tu ?
			elseif DRESS_MADELEINE then
				DrawText("Ca2614","Ca2614.ogg",5) -- Je me doutais que tu aiderais ton frère. Alors, où en êtes-vous ?
			end
		else 
			StartAnimationPart("fsc1",0,45,-1,false)
			SetMarker("fsc1",4,0)
		end
	end
end

function OnWarpLeave()
end

function AskSeparation()
     if DRESS_MADELEINE then
	PushAnswer("Ma2615") -- Je ne crois pas que vous soyez victime d'une malédiction, bien que quelqu'un essaie de nous en convaincre.
	PushAnswer("Ma2624") -- Savez-vous qui a eu connaissance du quatrain que vous m'avez donné ?
	PushAnswer("Ma2626") -- Il me semble que Constance aussi connaissait ces vers.
	PushAnswer("3411") -- Prendre congé
    elseif DRESS_CESAR then
	PushAnswer("Ce2593") -- Je ne crois pas que vous soyez victime d'une malédiction, bien que quelqu'un essaie de nous en convaincre.
	PushAnswer("Ce2602") -- Savez-vous qui a eu connaissance du quatrain que vous m'avez donné ?
	PushAnswer("Ce2608") -- Il me semble que Constance aussi connaissait ces vers.
	PushAnswer("3411") -- Prendre congé
    end
end

function OnAnswered(textId)
	if textId == "Ma2615" then -- Je ne crois pas que vous soyez victime d'une malédiction, bien que quelqu'un essaie de nous en convaincre.
		StartAnimationPart("fsc1",45,90,-1,false)
		DrawText("Ca2616","Ca2616.ogg",5) -- Qu'est-ce qui te fait dire ça ?
		DrawText("Ma2617","Ma2617.ogg",0) -- D'abord le bibliothécaire, il a été empoisonné, mais on a voulu faire croire à un accident. J'en conclue donc que soit le meurtrier avait peur d'être démasqué, soit il pensait qu'un décès dû à la fatalité collerait mieux à la prophétie.
		DrawText("Ma2618","Ma2618.ogg",0) -- Ensuite, je sais à présent que le quatrain dont vous avez eu connaissance n'est qu'une version raccourcie de la prophétie écrite par mon père.
		DrawText("Ma2619","Ma2619.ogg",0) -- Pourtant c'est exactement comme dans cette version courte que les évènements se déroulent.
		DrawText("Ma2620","Ma2620.ogg",0) -- Il me semble que le destin, si c'est bien lui qui est à l'œuvre, ne se plierait pas à un texte tronqué !
		DrawText("Ma2621","Ma2621.ogg",0) -- Celui qui inspire les prophéties aux hommes n'obéit pas à leurs plumes, qu'en pensez-vous ?
		DrawText("Ca2622","Ca2622.ogg",5) -- Que tu as le même esprit que ton père ! En effet je suis d'accord avec toi, il y a quelque chose qui ne colle pas dans cette soi-disant malédiction.
		DrawText("Ca2623","Ca2623.ogg",5) -- César m'en a parlé. Je pense que vous êtes sur la bonne voie, cette histoire de malédiction ne tient pas debout.

	elseif textId == "Ma2624" then -- Savez-vous qui a eu connaissance du quatrain que vous m'avez donné ?
		StartAnimationPart("fsc1",45,90,-1,false)
		DrawText("Ca2603","Ca2603.ogg",5) -- Chavigny bien sûr, Le Roi, ainsi que mon apothicaire et moi-même.
		DrawText("Ca2604","Ca2604.ogg",5) -- Le Roi étant insoupçonnable, et mon apothicaire étant mort, je ne vois que le secrétaire de votre père sur la liste des suspects. A moins qu'il ne l'ait lui-même montré à quelqu'un d'autre.
		DrawText("Ma2625","Ma2625.ogg",0) -- Je vais aller lui en parler.
		DrawText("Ca2606","Ca2606.ogg",5) -- De mon côté je donnerai l'ordre de ne pas le laisser quitter le château tant que cette affaire ne sera pas terminée.
		DrawText("Ca2607","Ca2607.ogg",5) -- Il faut chercher du côté de Chavigny, ceux à qui j'en ai parlé sont morts ou au-dessus de tout soupçon.

	elseif textId == "Ma2626" then -- Il me semble que Constance aussi connaissait ces vers.
		StartAnimationPart("fsc1",45,90,-1,false)
		DrawText("Ca2627","Ca2627.ogg",5) -- Elle en a entendu parler en effet, mais elle ne connaît pas le contenu exact du quatrain.
		DrawText("Ca2628","Ca2628.ogg",5) -- Pourquoi ? Ferait-elle partie des suspects ?
		DrawText("Ma2629","Ma2629.ogg",0) -- A par vous, Majesté, tout le monde fait partie des suspects.

	elseif textId == "Ce2593" then -- Je ne crois pas que vous soyez victime d'une malédiction, bien que quelqu'un essaie de nous en convaincre.
		StartAnimationPart("fsc1",45,90,-1,false)
		DrawText("Ca2594","Ca2594.ogg",5) -- Qu'est-ce qui te fait dire ça ?
		DrawText("Ce2595","Ce2595.ogg",1) -- D'abord le bibliothécaire, il a été empoisonné, mais on a voulu faire croire à un accident. J'en conclue donc que soit le meurtrier avait peur d'être démasqué, soit il pensait qu'un décès dû à la fatalité collerait mieux à la prophétie.
		DrawText("Ce2596","Ce2596.ogg",1) -- Ensuite, je sais à présent que le quatrain dont vous avez eu connaissance n'est qu'une version raccourcie de la prophétie écrite par mon père.
		DrawText("Ce2597","Ce2597.ogg",1) -- Pourtant c'est exactement comme dans cette version courte que les évènements se déroulent.
		DrawText("Ce2598","Ce2598.ogg",1) -- Il me semble que le destin, si c'est bien lui qui est à l'œuvre, ne se plierait pas à un texte tronqué 
		DrawText("Ce2599","Ce2599.ogg",1) -- Celui qui inspire les prophéties aux hommes n'obéit pas à leurs plumes, qu'en pensez-vous ?
		DrawText("Ca2600","Ca2600.ogg",5) -- Que tu as le même esprit que ton père ! En effet je suis d'accord avec toi, il y a quelque chose qui ne colle pas dans cette soi-disant malédiction.

	elseif textId == "Ce2602" then -- Savez-vous qui a eu connaissance du quatrain que vous m'avez donné ?
		StartAnimationPart("fsc1",45,90,-1,false)
		DrawText("Ca2603","Ca2603.ogg",5) -- Chavigny bien sûr, Le Roi, ainsi que mon apothicaire et moi-même.
		DrawText("Ca2604","Ca2604.ogg",5) -- Le Roi étant insoupçonnable, et mon apothicaire étant mort, je ne vois que le secrétaire de votre père sur la liste des suspects. A moins qu'il ne l'ait lui-même montré à quelqu'un d'autre.
		DrawText("Ce2605","Ce2605.ogg",1) -- Je vais aller lui en parler.
		DrawText("Ca2606","Ca2606.ogg",5) -- De mon côté je donnerai l'ordre de ne pas le laisser quitter le château tant que cette affaire ne sera pas terminée.
		DrawText("Ca2607","Ca2607.ogg",5) -- Il faut chercher du côté de Chavigny, ceux à qui j'en ai parlé sont morts ou au-dessus de tout soupçon.

	elseif textId == "Ce2608" then -- Il me semble que Constance aussi connaissait ces vers.
		StartAnimationPart("fsc1",45,90,-1,false)
		DrawText("Ca2609","Ca2609.ogg",5) -- Elle en a entendu parler en effet, mais elle ne connaît pas le contenu exact du quatrain.
		DrawText("Ca2610","Ca2610.ogg",5) -- Pourquoi ? Ferait-elle partie des suspects ?
		DrawText("Ce2611","Ce2611.ogg",1) -- A par vous, Majesté, tout le monde fait partie des suspects.
	end
	if textId == "3411" then -- [Prendre Congé]
		SetMarker("fsc1",4,0)
	end
end

function OnDialogFinished(dialogName)

	if dialogName == "Ca2592" or dialogName == "Ca2614" or dialogName == "Ca2623" or dialogName == "Ca2607" or dialogName == "Ma2629" 
	or dialogName == "Ca2600" or dialogName == "Ce2611" then
		StartAnimationPart("fsc1",0,45,-1,false)
		AskSeparation()
	end
	if dialogName == "Ca2616" or dialogName == "Ca2604"  or dialogName == "Ca2628"  or dialogName == "Ca2594"  or dialogName == "Ca2604"  
	or dialogName == "Ca2610"  then
		StartAnimationPart("fsc1",0,45,-1,false)
	end
	if dialogName == "Ma2615" or dialogName == "Ma2621" or dialogName == "Ma2625" or dialogName == "Ma2626" or dialogName == "Ce2593" 
	or dialogName == "Ce2599"  or dialogName == "Ce2602" or dialogName == "Ce2605" or dialogName == "Ce2608" then
		StartAnimationPart("fsc1",45,90,-1,false)
	end
--	if dialogName == "Ca2623" or dialogName == "Ca2600" or dialogName == "Ca2607" or dialogName == "Ma2629" then
--		StartAnimationPart("fsc1",0,10,-1,false)
--		SetMarker("fsc1",4,0)
--	end
	if dialogName == "Ca2622" or dialogName == "Ca2600" then
		TALK_TO_QUEEN_D4 = true
	end
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0063.wp" then 
		ChangeWarp(objectName)
	end

--DAY4
	if ETAT_DAY == "D4" then 
		if objectName == "frc1" then

		elseif objectName == "fsc1" then
			SetMarker("fsc1",-1,0)
			AskSeparation()
		elseif objectName == "fvc1" then

		end
	end
end
